Bug 62144 - Xconfigurator does not configure some localized keyboards
Xconfigurator does not configure some localized keyboards
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-27 16:37 EST by Simon Matter
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-28 09:09:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Matter 2002-03-27 16:37:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [de] (X11; U; Linux 2.2.19-6.2.16 i586)

Description of problem:
Xconfigurator does not configure some localized keyboards correctly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. While install, choose english as language and swiss-german keyboard
2. run Xconfigurator to reconfigure X
3.
	

Actual Results:  Keyboard in X is configured as "us"

Expected Results:  Keyboard in X is configured as "de_CH"

Additional info:

This has been a bug since ever in RedHat Linux.
Comment 1 Mike A. Harris 2003-04-20 13:03:08 EDT
Xconfigurator is not even part of Red Hat Linux 9.  redhat-config-xfree86
is used to configure XFree86, and redhat-config-keyboard to configure the
keyboard.

Since this is report is set to Red Hat Linux 9, what specifically is
the problem?  Surely you're not using Xconfigurator still in Red Hat Linux 9.
Comment 2 Simon Matter 2003-04-28 08:39:42 EDT
I didn't set this report to RedHat Linux 9. I have entered it in march 2002, 
how could I know there will be RH9?

I didn't check the new tools in RH9 but I guess they work okay.
Comment 3 Mike A. Harris 2003-04-28 09:09:31 EDT
The bug report is set to Red Hat Linux 9.  I did not set it to that, and I
have no idea who did.  My comment reflects the status of the bug report
when I looked at it.  If you didn't set it to that, then perhaps there is
some bugzilla mixup.

We have no plans on updating Xconfigurator aside from serious security fixes,
should the need arise.  Users experiencing problems can workaround Xconfigurator
problems in old releases by using Xconfigurator commandline options, or by
using xf86cfg, xf86config, XFree86 -configure, or hand editing the config file.

The recommended thing to do however, is to upgrade to Red Hat Linux 9, and use
the new redhat-config-xfree86 tool.

While none of these workarounds are an ideal solution, they are useable
workarounds, and hopefully should be adequate for users until they update
to our latest release.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.